# Bobbycar Controller

## Serial Commands

If Vusb jumper on PCB is soldered, do not connect USB while LiPo is connected!

**echo off**

Turn off serial command echo.
Useful for automated transfer.

**echo on**

Turns on serial command echo.
Useful for manual command execution.

**test**

Returns "OK"

**ls**

List files on SD card in a machine readable way.
One file per line with full path.

**la -a**

List files tab formatted. With file sizes.


**cat FILENAME**

Print out the contents of a specified file.

If no filename given, the current active logfile is used.

**get FILENAME**

Sends the contents of a specified file in chunks.
Waits for the checksum of the send chunks before sending the next chunk.
Exits with an error message when checksum does not match.
Used for automated transfer of files.

**sizeof FILENAME**

Returns the size in bytes of the specified file.

**chunksize SIZE**

Sets the size of chunks for file transmission. See **get** command.
Default is 128.

**rm FILENAME**

Deletes file from sd card.

**log off**

Turns off logging flag.

**log on**

Turns on logging flag.

**show stats**

Prints some current stats values.
One variable per line.

Format: parametername\<Tab\>value

**show sensors**

Prints some sensor values that are useful in standstill.
One variable per line.

Format: parametername\<Tab\>value

