# Bobbycar OSD

This processing software can display log information from the bobbycar in realime.

It is used alongside the controller_teensy firmware.
Log information is constantly printed out on one serial interface and can be written either to an sd card or transmitted via rf or bluetooth.

![screenshot](Screenshot.png "Screenshot")


## OpenLog

Tutorial for OpenLog Serial SD Card logger: https://learn.sparkfun.com/tutorials/openlog-hookup-guide/configuration-file

Only works reliable on 3v3.
Using 5v restarts occur (prints 12> over serial and everytime a new file is created).


my CONFIG.TXT content:
115200,26,3,0,1,1,0
baud,escape,esc#,mode,verb,echo,ignoreRX


## HC12 433MHz Module
5v or 3v3.
Bridge Set pin to ground and power up to enter setup mode.
Use Arduino IDE to send commands via serial terminal with 9600 Baud.
AT+RX shows current settings.

Use following commands to setup:
AT+B115200
AT+C002

Using channel 2 instead of 1, because 1 receive didnt work with two computers.

## logfix.py
The bobbycar controller records stats and data in txt files.
A new files with an ascending filename is created on boot.
The txt file contains a table in csv structure with comments for errors and debugging starting with '#'.
logfix.py is used to clean up, fix broken logs and combine them in a valid csv file.
Usage: python3 logfix.py --input LOG_0001.TXT LOG_0002.TXT LOG_0003.TXT --output outputlog.csv
